package com.hzya.frame.sysnew.application.database.entity;

import java.util.Date;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * 数据源表(SysApplicationDatabase)实体类
 *
 * @author makejava
 * @since 2023-09-25 11:46:34
 */
public class SysApplicationDatabaseEntity extends BaseEntity {
 
  /**  应用id */
   private String appId;
  /**  数据源类型（1、oracle 2、sqlServer3、mysql） */
   private String sourceType;
  /**  实例地址 */
   private String sourceUrl;
  /**  账户 */
   private String loginName;
  /**  密码 */
   private String password;
  /**  库名 */
   private String dbName;
  /**  数据源是否启用（1、开启 2、关闭） */
   private String dbStatus;


    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getSourceType() {
        return sourceType;
    }

    public void setSourceType(String sourceType) {
        this.sourceType = sourceType;
    }

    public String getSourceUrl() {
        return sourceUrl;
    }

    public void setSourceUrl(String sourceUrl) {
        this.sourceUrl = sourceUrl;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getDbName() {
        return dbName;
    }

    public void setDbName(String dbName) {
        this.dbName = dbName;
    }

    public String getDbStatus() {
        return dbStatus;
    }

    public void setDbStatus(String dbStatus) {
        this.dbStatus = dbStatus;
    }

}

